### Method

# Gegl TileBackend set_extent

#### Declaration [src]

    void
    gegl_tile_backend_set_extent (
      GeglTileBackend* tile_backend,
      const GeglRectangle* rectangle
    )

#### Description [src]

Specify the extent of the backend, can be used to pre-prime the backend with the width/height information when constructing proxy GeglBuffers to interact with other systems.

#### Parameters

`rectangle`

  Type: `GeglRectangle`

  The new extent.

  The data is owned by the caller of the function.